#
# Conditional build:
%bcond_without	doc	# HTML (sphinx-based) documentation
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module
%bcond_without	tests	# do not perform tests

Summary:	Extensions to the Python unit testing framework
Summary(pl.UTF-8):	Rozszerzenie szkieletu testów jednostkowych Pythona
Name:		python-testtools
Version:	0.9.34
Release:	3
License:	MIT
Group:		Development/Tools
Source0:	https://pypi.python.org/packages/source/t/testtools/testtools-%{version}.tar.gz
# Source0-md5:	51d37e7376a70cee40cf17b44889fc88
URL:		https://launchpad.net/testtools
%if %{with python2}
BuildRequires:	python-devel >= 1:2.6
%if %{with tests}
BuildRequires:	python-devel-tools
BuildRequires:	python-extras
BuildRequires:	python-mimeparse
%endif
%endif
%if %{with python3}
BuildRequires:	python3-devel
%if %{with tests}
BuildRequires:	python3-devel-tools
BuildRequires:	python3-extras
BuildRequires:	python3-mimeparse
%endif
%endif
BuildRequires:	rpmbuild(macros) >= 1.219
%{?with_doc:BuildRequires:	sphinx-pdg}
Requires:	python-extras
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
testtools is a set of extensions to the Python standard library's unit
testing framework.

%description -l pl.UTF-8
testtools to zestaw rozszerzeń szkieletu testów jednostkowych z
biblioteki standardowej Pythona.

%package -n python3-testtools
Summary:	Extensions to the Python unit testing framework
Summary(pl.UTF-8):	Rozszerzenie szkieletu testów jednostkowych Pythona
Group:		Development/Tools
Requires:	python3-extras

%description -n python3-testtools
testtools is a set of extensions to the Python standard library's unit
testing framework.

%description -n python3-testtools -l pl.UTF-8
testtools to zestaw rozszerzeń szkieletu testów jednostkowych z
biblioteki standardowej Pythona.

%package doc
Summary:	Documentation for %{name}
Summary(pl.UTF-8):	Dokumentacja do pakietu %{name}
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description doc
This package contains HTML documentation for %{name}.

%description doc -l pl.UTF-8
Dokumentacja HTML do pakietu %{name}.

%prep
%setup -q -n testtools-%{version}

%build
%if %{with python2}
%{__python} setup.py \
	build --build-base build-2 \
	%{?with_tests:test}
%endif

%if %{with python3}
%{__python3} setup.py \
	build --build-base build-3 \
	%{?with_tests:test}
%endif

%if %{with doc}
%{__make} -C doc html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%{__python} setup.py \
	build --build-base build-2 \
	install --skip-build \
		--root=$RPM_BUILD_ROOT \
		--optimize=2

%py_postclean
%{__rm} -r $RPM_BUILD_ROOT%{py_sitescriptdir}/testtools/tests
%endif

%if %{with python3}
%{__python3} setup.py \
	build --build-base build-3 \
	install --skip-build \
		--root=$RPM_BUILD_ROOT \
		--optimize=2

%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/testtools/tests
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc LICENSE NEWS README.rst
%dir %{py_sitescriptdir}/testtools
%{py_sitescriptdir}/testtools/*.py[co]
%dir %{py_sitescriptdir}/testtools/matchers
%{py_sitescriptdir}/testtools/matchers/*.py[co]
%dir %{py_sitescriptdir}/testtools/testresult
%{py_sitescriptdir}/testtools/testresult/*.py[co]
%{py_sitescriptdir}/testtools-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-testtools
%defattr(644,root,root,755)
%doc LICENSE NEWS README.rst
%dir %{py3_sitescriptdir}/testtools
%{py3_sitescriptdir}/testtools/*.py
%{py3_sitescriptdir}/testtools/__pycache__
%dir %{py3_sitescriptdir}/testtools/matchers
%{py3_sitescriptdir}/testtools/matchers/*.py
%{py3_sitescriptdir}/testtools/matchers/__pycache__
%dir %{py3_sitescriptdir}/testtools/testresult
%{py3_sitescriptdir}/testtools/testresult/*.py
%{py3_sitescriptdir}/testtools/testresult/__pycache__
%{py3_sitescriptdir}/testtools-%{version}-py*.egg-info
%endif

%if %{with doc}
%files doc
%defattr(644,root,root,755)
%doc doc/_build/html/*
%endif
%changelog
* Mon Sep 14 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-testtools.git;a=log;h=auto/th/python-testtools-0.9.34-3

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 9fd737b
- release 3 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d1349fa
- python 3.4
- release 2 (by relup.sh)

* Wed Dec 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 337b28e
- added python3 package and doc,python2,python3 bconds

* Tue Dec 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 0011d28
- updated to 0.9.34; requires extras

* Mon Jul 02 2012 Elan Ruusamäe <glen@pld-linux.org> 1cf5fdc
- package testresult

* Sun Jul 01 2012 Elan Ruusamäe <glen@pld-linux.org> 00bf0c3
- missing dir

* Sun Jul 01 2012 Elan Ruusamäe <glen@pld-linux.org> aaa1c66
- new, based on fc package

